petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCFactorSetMatSolverType

sets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatSolverType(PC pc,MatSolverType stype)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| stype | - for example, superlu, superlu_dist

### Options Database Key

-pc_factor_mat_solver_type <stype> -petsc, superlu, superlu_dist, mumps, cusparse

### Note

By default this will use the PETSc factorization if it exists

### See Also

MatGetFactor(), MatSolverType, PCFactorGetMatSolverType()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html
src/ksp/ksp/examples/tutorials/ex52f.F90.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F90.html

### Implementations

PCFactorSetMatSolverType_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages